<?xml version="1.0" encoding="UTF-8"?>
<!-- %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% -->
<!-- run clipper alignment -->
<!-- %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% -->
<launch>
  <arg name="clipper_sigma" default="5"/>
  <arg name="clipper_epsilon" default="10"/>
  <arg name="clipper_mindist"  default="2" />
  <arg name="map_frame_id" default="map_clipper"/>
  <arg name="world_frame_id"  default="world_clipper" />

  <arg name="record_bag" default="true"/>
  <arg name="save_dir" default="$(find clipper)"/>


  <!-- launch reliable udp -->
  <include file="$(find clipper)/launch/remote_topic_manager_basestation.launch" />

  <!-- launch clipper -->
  <include file="$(find clipper)/launch/clipper.launch" />

  <!-- run clear fusion -->
  <!-- <node pkg="clear" type="fuser" name="fuser" output="screen">
    <rosparam param="robots"> ["acl_jackal", "acl_jackal2"]</rosparam>
    <param name="dist_tol" value="5"/>
  </node> -->

  <!-- record rosbag -->
  <node pkg="rosbag" type="record" name="recorder" output="screen" 
    if="$(arg record_bag)"
    args="-a -o $(arg save_dir)/clipper" />

  <!-- display results -->
  <node pkg="rviz" type="rviz" name="rviz_clipper" args="-d $(find clipper)/cfg/clipper.rviz"/>

</launch>


